<template>
  <section id="informations-page">
    <div class="top-screen">
      <div>
        <p>
          <span>IDno.</span>
          <span>{{user.id}}</span>
        </p>
        <p>
          <span>Name</span>
          <span>{{user.name}}</span>
        </p>
      </div>
      <div>
        <p>
          <span>...</span>
          <span>{{user.money}}</span>
        </p>
      </div>
      <div>
        <p>
          <span>Inventory</span>
          <span>{{user.inventory}}</span>
        </p>
      </div>
      <div>
        <p>
          <span>Games</span>
          <span>{{user.games}}</span>
        </p>
        <p>
          <span>Start</span>
          <span>{{user.start}}</span>
        </p>
      </div>
      <img :src=" require(`@/assets/character/boy-big.png`)" />
    </div>

    <div class="middle-screen"></div>

    <div class="bottom-screen">
      <button class="button is-danger is-large" @click="goback()">
        <span class="icon is-medium">
          <font-awesome-icon icon="backward" />
        </span>
        <span>Return</span>
      </button>
    </div>
  </section>
</template>

<script>
import router from "../router";

export default {
  name: "informations",
  data: function() {
    return {
      user: {
        id: null,
        name: null,
        money: null,
        inventory: null,
        games: null,
        start: null
      }
    };
  },
  methods: {
    goback() {
      router.back();
    }
  },
  mounted() {
    const $scope = this;

    this.$userService.informations(
      res => {
        console.log(res.data);
        $scope.user.id = res.data.id ?? null;
        $scope.user.name = res.data.pseudo ?? null;
        // $scope.user.money = res.data.money ??
        $scope.user.inventory = res.data.userInventory.length ?? 0;
        $scope.user.games =
          res.data.historyOne.length + res.data.historyTwo.length ?? 0;
        $scope.user.start =
          new Date(res.data.updatedAt).toLocaleTimeString("fr-FR", {
            year: "numeric",
            month: "2-digit",
            day: "2-digit"
          }) ?? null;
      },
      err => {
        console.log(err);
      }
    );
  }
};
</script>


<style scoped lang="scss">
#informations-page {
  .top-screen {
    background-image: url("~@/assets/background-trainercard.png") !important;
    background-position: center center !important;
    padding: 1.5em;
    display: block !important;
    > div {
      p {
        margin-top: 0.65em;
        font-family: PokemonGb;
        display: flex;
        justify-content: space-between;
      }
      &:first-child {
        margin-top: 2.25em;
        width: 60%;
      }
      &:nth-child(2) {
        margin-top: 1.7em;
        width: 60%;
      }
      &:nth-child(3) {
        margin-top: 4.9em;
        width: 60%;
      }
      &:nth-child(4) {
        margin-top: 1.7em;
        // text-transform: capitalize;
      }
    }
    > img {
      position: absolute;
      top: 110px;
      right: 70px;
      width: 75px;
    }
  }
}
</style>
